Foro de Odoo Argentina


¡BIENVENIDO AL FORO DE ODOO ARGENTINA!

BRINDAMOS UN ESPACIO A LA COMUNIDAD ARGENTINA DE ODOO PARA CENTRALIZAR EL DEBATE, COMPARTIR IDEAS, DESARROLLOS, Y FORMAR PARTE DE UNA COMUNIDAD QUE CRECE DÍA A DÍA

¿No estás registrado?  REGISTRATE

0

Error despues de instalar Aeroo reports Odoo 9 sobre Ubuntu 16.04

Hola,

Acabo de instalar todo para aeroo reports pero en el log de Odoo tengo este error:

https://pastebin.com/MHG1bdni

2018-03-19 22:06:03,197 1428 ERROR ? werkzeug: Error on request:
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/werkzeug/serving.py", line 180, in run_wsgi
    execute(self.server.app)
  File "/usr/lib/python2.7/dist-packages/werkzeug/serving.py", line 168, in execute
    application_iter = app(environ, start_response)
  File "/usr/lib/python2.7/dist-packages/openerp/service/server.py", line 250, in app
    return self.app(e, s)
  File "/usr/lib/python2.7/dist-packages/openerp/service/wsgi_server.py", line 184, in application
    return application_unproxied(environ, start_response)
  File "/usr/lib/python2.7/dist-packages/openerp/service/wsgi_server.py", line 170, in application_unproxied
    result = handler(environ, start_response)
  File "/usr/lib/python2.7/dist-packages/openerp/http.py", line 1494, in __call__
    self.load_addons()
  File "/usr/lib/python2.7/dist-packages/openerp/http.py", line 1515, in load_addons
    m = __import__('openerp.addons.' + module)
  File "/usr/lib/python2.7/dist-packages/openerp/modules/module.py", line 61, in load_module
    mod = imp.load_module('openerp.addons.' + module_part, f, path, descr)
  File "/usr/lib/python2.7/dist-packages/openerp/addons/report_aeroo/__init__.py", line 32, in <module>
    import aeroolib
  File "/usr/local/lib/python2.7/dist-packages/aeroolib-1.3.0-py2.7.egg/aeroolib/__init__.py", line 15, in <module>
    from . import plugins
File "/usr/local/lib/python2.7/dist-packages/aeroolib-1.3.0-py2.7.egg/aeroolib/plugins/__init__.py", line 49
    "to use it" % name, file=tb_file)
                            ^
SyntaxError: invalid syntax

Alguna idea??

Muchas gracias

Avatar
Descartar
3 Respuestas
1
Avatar
Gustavo Orrillo
Best Answer

Si, tenes aeroolib mal instalado. Tenes que instalar aeroolib manualmente

Saludos

Avatar
Descartar
0
Avatar
Gonzalo Marquez
Best Answer

Una pregunta hace meses , hasta el punto de avandone en los intentos de hacer andar el odoo9 con loca. arg. alguien me podria dar una mano  el 8 lo habia logrado hacer  andar, pero se me pincho la imagen de la pc virtual y lo perdi, si alguien me da una mano se lo agradeceria muchisimo, es para un proyecto de un negocio  propio  

 

Avatar
Descartar
0
Best Answer

Gracias, me ayudo mucho, me di cuenta que el script cambio en los ultimos dias en github, busque la version anterior y funciono correctamente.

Avatar
Descartar